Brand 17 endpoints

POST /api/v1/brands/{brandId}/templates/email/{templateName}/customizations

Create an email customization

operationId: Brand_createEmailTemplateCustomization

Parameters

Name In Required Type Description
brandId path required string
templateName path required string

Request Body

application/json
schema EmailTemplateCustomizationRequest

Responses

200

Success

409

Conflict

POST /api/v1/brands/{brandId}/templates/email/{templateName}/customizations
DELETE /api/v1/brands/{brandId}/templates/email/{templateName}/customizations/{customizationId}

Delete an email customization

operationId: Brand_deleteEmailCustomization

Parameters

Name In Required Type Description
brandId path required string
templateName path required string
customizationId path required string

Responses

204

No Content

409

Conflict

DELETE /api/v1/brands/{brandId}/templates/email/{templateName}/customizations/{customizationId}
GET /api/v1/brands/{brandId}/templates/email/{templateName}/customizations/{customizationId}

Fetch an email customization by id.

operationId: Brand_getEmailTemplateCustomizationById

Parameters

Name In Required Type Description
brandId path required string
templateName path required string
customizationId path required string

Responses

200

Success

GET /api/v1/brands/{brandId}/templates/email/{templateName}/customizations/{customizationId}
PUT /api/v1/brands/{brandId}/templates/email/{templateName}/customizations/{customizationId}

Update an email customization

operationId: Brand_updateEmailCustomization

Parameters

Name In Required Type Description
brandId path required string
templateName path required string
customizationId path required string

Request Body

application/json
schema EmailTemplateCustomizationRequest

Responses

200

Success

409

Conflict

PUT /api/v1/brands/{brandId}/templates/email/{templateName}/customizations/{customizationId}
GET /api/v1/brands/{brandId}/templates/email/{templateName}/customizations/{customizationId}/preview

Get a preview of an email template customization.

operationId: Brand_getEmailCustomizationPreview

Parameters

Name In Required Type Description
brandId path required string
templateName path required string
customizationId path required string

Responses

200

Success

GET /api/v1/brands/{brandId}/templates/email/{templateName}/customizations/{customizationId}/preview
GET /api/v1/brands/{brandId}/templates/email/{templateName}/default-content

Fetch the default content for an email template.

operationId: Brand_getEmailTemplateDefaultContent

Parameters

Name In Required Type Description
brandId path required string
templateName path required string

Responses

200

Success

GET /api/v1/brands/{brandId}/templates/email/{templateName}/default-content
GET /api/v1/brands/{brandId}/templates/email/{templateName}/default-content/preview

Fetch a preview of an email template’s default content by populating velocity references with the current user’s environment.

operationId: Brand_getEmailTemplateDefaultContentPreview

Parameters

Name In Required Type Description
brandId path required string
templateName path required string

Responses

200

Success

GET /api/v1/brands/{brandId}/templates/email/{templateName}/default-content/preview
POST /api/v1/brands/{brandId}/templates/email/{templateName}/test

Send a test email to the current users primary and secondary email addresses. The email content is selected based on the following priority: An email customization specifically for the users locale. The default language of email customizations. The email templates default content.

operationId: Brand_getEmailTemplateDefaultContentPreview

Parameters

Name In Required Type Description
brandId path required string
templateName path required string

Request Body

required
application/json
schema EmailTemplateTestRequest

Responses

204

No Content

POST /api/v1/brands/{brandId}/templates/email/{templateName}/test
GET /api/v1/brands/{brandId}/themes

List all the themes in your brand

operationId: Brand_getThemes

Parameters

Name In Required Type Description
brandId path required string

Responses

200

Success

GET /api/v1/brands/{brandId}/themes
GET /api/v1/brands/{brandId}/themes/{themeId}

Fetches a theme for a brand

operationId: Brand_getThemeById

Parameters

Name In Required Type Description
brandId path required string
themeId path required string

Responses

200

Success

GET /api/v1/brands/{brandId}/themes/{themeId}
PUT /api/v1/brands/{brandId}/themes/{themeId}

Updates a theme for a brand

operationId: Brand_updateTheme

Parameters

Name In Required Type Description
brandId path required string
themeId path required string

Request Body

required
application/json
schema Theme

Responses

200

Success

400

Bad Request

404

Not Found

PUT /api/v1/brands/{brandId}/themes/{themeId}
DELETE /api/v1/brands/{brandId}/themes/{themeId}/background-image

Deletes a Theme background image

operationId: Brand_deleteThemeBackgroundImage

Parameters

Name In Required Type Description
brandId path required string
themeId path required string

Responses

204

No Content

404

Not Found

DELETE /api/v1/brands/{brandId}/themes/{themeId}/background-image
POST /api/v1/brands/{brandId}/themes/{themeId}/background-image

Updates the background image for your Theme

operationId: Brand_updateThemeBackgroundImage

Parameters

Name In Required Type Description
brandId path required string
themeId path required string

Request Body

multipart/form-data
schema ApplicationUpdateLogoRequest
Property Type Required
file string required

Responses

201

Created

400

Bad Request

404

Not Found

POST /api/v1/brands/{brandId}/themes/{themeId}/background-image
DELETE /api/v1/brands/{brandId}/themes/{themeId}/favicon

Deletes a Theme favicon. The org then uses the Okta default favicon.

operationId: Brand_deleteThemeFavicon

Parameters

Name In Required Type Description
brandId path required string
themeId path required string

Responses

204

No Content

404

Not Found

DELETE /api/v1/brands/{brandId}/themes/{themeId}/favicon
POST /api/v1/brands/{brandId}/themes/{themeId}/favicon

Updates the favicon for your theme

operationId: Brand_updateThemeFavicon

Parameters

Name In Required Type Description
brandId path required string
themeId path required string

Request Body

multipart/form-data
schema ApplicationUpdateLogoRequest
Property Type Required
file string required

Responses

201

Created

400

Bad Request

404

Not Found

POST /api/v1/brands/{brandId}/themes/{themeId}/favicon
DELETE /api/v1/brands/{brandId}/themes/{themeId}/logo

Deletes a Theme logo. The org then uses the Okta default logo.

operationId: Brand_deleteThemeLogo

Parameters

Name In Required Type Description
brandId path required string
themeId path required string

Responses

204

No Content

404

Not Found

DELETE /api/v1/brands/{brandId}/themes/{themeId}/logo
POST /api/v1/brands/{brandId}/themes/{themeId}/logo

Updates the logo for your Theme

operationId: Brand_updateThemeLogo

Parameters

Name In Required Type Description
brandId path required string
themeId path required string

Request Body

multipart/form-data
schema ApplicationUpdateLogoRequest
Property Type Required
file string required

Responses

200

Success

400

Bad Request

404

Not Found

POST /api/v1/brands/{brandId}/themes/{themeId}/logo

Domain 6 endpoints

GET /api/v1/domains

List all verified custom Domains for the org.

operationId: Domain_listVerifiedCustom

Responses

200

Success

GET /api/v1/domains
POST /api/v1/domains

Creates your domain.

operationId: Domain_createNewDomain

Request Body

required
application/json
schema Domain
Property Type Required
id string optional
domain string optional
dnsRecords array optional
fqdn string optional
values array optional
expiration string optional
recordType string optional
validationStatus string optional
publicCertificate object optional
subject string optional
expiration string optional
fingerprint string optional
certificateSourceType string optional

Responses

200

Success

POST /api/v1/domains
DELETE /api/v1/domains/{domainId}

Deletes a Domain by id.

operationId: Domain_removeById

Parameters

Name In Required Type Description
domainId path required string

Responses

204

No Content

DELETE /api/v1/domains/{domainId}
GET /api/v1/domains/{domainId}

Fetches a Domain by id.

operationId: Domain_getById

Parameters

Name In Required Type Description
domainId path required string

Responses

200

Success

GET /api/v1/domains/{domainId}
PUT /api/v1/domains/{domainId}/certificate

Creates the Certificate for the Domain.

operationId: Domain_createCertificate

Parameters

Name In Required Type Description
domainId path required string

Request Body

required
application/json
schema DomainCertificate

Responses

204

No Content

PUT /api/v1/domains/{domainId}/certificate
POST /api/v1/domains/{domainId}/verify

Verifies the Domain by id.

operationId: Domain_verifyById

Parameters

Name In Required Type Description
domainId path required string

Responses

200

Success

POST /api/v1/domains/{domainId}/verify

Eventhook 8 endpoints

GET /api/v1/eventHooks

Success

operationId: EventHook_listSuccessEvents

Responses

200

Success

GET /api/v1/eventHooks
POST /api/v1/eventHooks

Success

operationId: EventHook_createSuccess

Request Body

application/json
schema EventHook
Property Type Required
id string optional
name string optional
_links object optional
events object optional
type string optional
items array optional
status string optional
channel object optional
type string optional
config object optional
uri string optional
headers array optional
key string optional
value string optional
authScheme object optional
key string optional
type string optional
value string optional
version string optional
created string optional
createdBy string optional
lastUpdated string optional
verificationStatus string optional

Responses

200

Success

POST /api/v1/eventHooks
DELETE /api/v1/eventHooks/{eventHookId}

Success

operationId: EventHook_removeSuccessEvent

Parameters

Name In Required Type Description
eventHookId path required string

Responses

204

No Content

DELETE /api/v1/eventHooks/{eventHookId}
GET /api/v1/eventHooks/{eventHookId}

Success

operationId: EventHook_getSuccessEvent

Parameters

Name In Required Type Description
eventHookId path required string

Responses

200

Success

GET /api/v1/eventHooks/{eventHookId}
PUT /api/v1/eventHooks/{eventHookId}

Success

operationId: EventHook_updateSuccessEvent

Parameters

Name In Required Type Description
eventHookId path required string

Request Body

application/json
schema EventHook
Property Type Required
id string optional
name string optional
_links object optional
events object optional
type string optional
items array optional
status string optional
channel object optional
type string optional
config object optional
uri string optional
headers array optional
key string optional
value string optional
authScheme object optional
key string optional
type string optional
value string optional
version string optional
created string optional
createdBy string optional
lastUpdated string optional
verificationStatus string optional

Responses

200

Success

PUT /api/v1/eventHooks/{eventHookId}
POST /api/v1/eventHooks/{eventHookId}/lifecycle/activate

Success

operationId: EventHook_activateLifecycleSuccess

Parameters

Name In Required Type Description
eventHookId path required string

Responses

200

Success

POST /api/v1/eventHooks/{eventHookId}/lifecycle/activate
POST /api/v1/eventHooks/{eventHookId}/lifecycle/deactivate

Success

operationId: EventHook_deactivateLifecycleEvent

Parameters

Name In Required Type Description
eventHookId path required string

Responses

200

Success

POST /api/v1/eventHooks/{eventHookId}/lifecycle/deactivate
POST /api/v1/eventHooks/{eventHookId}/lifecycle/verify

Success

operationId: EventHook_verifyLifecycleSuccess

Parameters

Name In Required Type Description
eventHookId path required string

Responses

200

Success

POST /api/v1/eventHooks/{eventHookId}/lifecycle/verify

Feature 5 endpoints

GET /api/v1/features

Success

operationId: Feature_getSuccess

Responses

200

Success

GET /api/v1/features
GET /api/v1/features/{featureId}

Success

operationId: Feature_getSuccessById

Parameters

Name In Required Type Description
featureId path required string

Responses

200

Success

GET /api/v1/features/{featureId}
GET /api/v1/features/{featureId}/dependencies

Success

operationId: Feature_listDependencies

Parameters

Name In Required Type Description
featureId path required string

Responses

200

Success

GET /api/v1/features/{featureId}/dependencies
GET /api/v1/features/{featureId}/dependents

Success

operationId: Feature_listDependents

Parameters

Name In Required Type Description
featureId path required string

Responses

200

Success

GET /api/v1/features/{featureId}/dependents
POST /api/v1/features/{featureId}/{lifecycle}

Success

operationId: Feature_createLifecycleSuccess

Parameters

Name In Required Type Description
featureId path required string
lifecycle path required string
mode query optional string

Responses

200

Success

POST /api/v1/features/{featureId}/{lifecycle}

Group 14 endpoints

GET /api/v1/groups

Enumerates groups in your organization with pagination. A subset of groups can be returned that match a supported filter expression or query.

operationId: Group_list

Parameters

Name In Required Type Description
q query optional string

Searches the name property of groups for matching value

filter query optional string

Filter expression for groups

after query optional string

Specifies the pagination cursor for the next page of groups

limit query optional integer

Specifies the number of group results in a page

expand query optional string

If specified, it causes additional metadata to be included in the response.

search query optional string

Searches for groups with a supported filtering expression for all attributes except for _embedded, _links, and objectClass

Responses

200

Success

GET /api/v1/groups
POST /api/v1/groups

Adds a new group with OKTA_GROUP type to your organization.

operationId: Group_createNewGroup

Request Body

application/json
schema Group
Property Type Required
id string optional
type string optional
_links object optional
created string optional
profile object optional
name string optional
description string optional
_embedded object optional
lastUpdated string optional
objectClass array optional
lastMembershipUpdated string optional

Responses

200

Success

POST /api/v1/groups
GET /api/v1/groups/rules

Lists all group rules for your organization.

operationId: Group_getAllRules

Parameters

Name In Required Type Description
limit query optional integer

Specifies the number of rule results in a page

after query optional string

Specifies the pagination cursor for the next page of rules

search query optional string

Specifies the keyword to search fules for

expand query optional string

If specified as groupIdToGroupNameMap, then show group names

Responses

200

Success

GET /api/v1/groups/rules
POST /api/v1/groups/rules

Creates a group rule to dynamically add users to the specified group if they match the condition

operationId: Group_addRule

Request Body

application/json
schema GroupRule
Property Type Required
id string optional
name string optional
type string optional
status string optional
actions object optional
assignUserToGroups object optional
groupIds array optional
created string optional
conditions object optional
people object optional
users object optional
exclude array optional
include array optional
groups object optional
exclude array optional
include array optional
expression object optional
type string optional
value string optional
lastUpdated string optional

Responses

200

Success

POST /api/v1/groups/rules
DELETE /api/v1/groups/rules/{ruleId}

Removes a specific group rule by id from your organization

operationId: Group_removeRuleById

Parameters

Name In Required Type Description
ruleId path required string
removeUsers query optional boolean

Indicates whether to keep or remove users from groups assigned by this rule.

Responses

202

Accepted

DELETE /api/v1/groups/rules/{ruleId}
GET /api/v1/groups/rules/{ruleId}

Fetches a specific group rule by id from your organization

operationId: Group_getGroupRuleById

Parameters

Name In Required Type Description
ruleId path required string
expand query optional string

Responses

200

Success

GET /api/v1/groups/rules/{ruleId}
PUT /api/v1/groups/rules/{ruleId}

Updates a group rule. Only INACTIVE rules can be updated.

operationId: Group_updateRule

Parameters

Name In Required Type Description
ruleId path required string

Request Body

application/json
schema GroupRule
Property Type Required
id string optional
name string optional
type string optional
status string optional
actions object optional
assignUserToGroups object optional
groupIds array optional
created string optional
conditions object optional
people object optional
users object optional
exclude array optional
include array optional
groups object optional
exclude array optional
include array optional
expression object optional
type string optional
value string optional
lastUpdated string optional

Responses

200

Success

PUT /api/v1/groups/rules/{ruleId}
POST /api/v1/groups/rules/{ruleId}/lifecycle/activate

Activates a specific group rule by id from your organization

operationId: Group_activateRuleLifecycle

Parameters

Name In Required Type Description
ruleId path required string

Responses

204

No Content

POST /api/v1/groups/rules/{ruleId}/lifecycle/activate
POST /api/v1/groups/rules/{ruleId}/lifecycle/deactivate

Deactivates a specific group rule by id from your organization

operationId: Group_deactivateRuleLifecycle

Parameters

Name In Required Type Description
ruleId path required string

Responses

204

No Content

POST /api/v1/groups/rules/{ruleId}/lifecycle/deactivate
DELETE /api/v1/groups/{groupId}

Removes a group with OKTA_GROUP type from your organization.

operationId: Group_removeOperation

Parameters

Name In Required Type Description
groupId path required string

Responses

204

No Content

DELETE /api/v1/groups/{groupId}
GET /api/v1/groups/{groupId}

Fetches a group from your organization.

operationId: Group_getRules

Parameters

Name In Required Type Description
groupId path required string

Responses

200

Success

GET /api/v1/groups/{groupId}
PUT /api/v1/groups/{groupId}

Updates the profile for a group with OKTA_GROUP type from your organization.

operationId: Group_updateProfile

Parameters

Name In Required Type Description
groupId path required string

Request Body

application/json
schema Group
Property Type Required
id string optional
type string optional
_links object optional
created string optional
profile object optional
name string optional
description string optional
_embedded object optional
lastUpdated string optional
objectClass array optional
lastMembershipUpdated string optional

Responses

200

Success

PUT /api/v1/groups/{groupId}
GET /api/v1/groups/{groupId}/apps

Enumerates all applications that are assigned to a group.

operationId: Group_listAssignedApps

Parameters

Name In Required Type Description
groupId path required string
after query optional string

Specifies the pagination cursor for the next page of apps

limit query optional integer

Specifies the number of app results for a page

Responses

200

Success

GET /api/v1/groups/{groupId}/apps
GET /api/v1/groups/{groupId}/roles

Success

operationId: Group_getRoleList

Parameters

Name In Required Type Description
groupId path required string
expand query optional string

Responses

200

Success

GET /api/v1/groups/{groupId}/roles
Load more endpoints